package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author：weiran
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：SystemYesNoValidator
 * @Date：2024/8/5 21:23
 */
public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType,String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(value);
    }
}
